import { inject, observer } from "mobx-react";
import "antd/dist/antd.css";
// import Home from "./pages/home/home";
import { Modal } from "antd";
import { Store } from "antd/lib/form/interface";
import { Outlet } from "react-router";
const App = (props: Store) => {
  const { usrStore } = props;
  return (
    <>
      <Outlet/>
      <Modal
        title="登录"
        className="owner_model"
        width={"50%"}
        open={usrStore.isNeedLogin}
        afterClose={() => {}}
        onOk={() => {
          usrStore.closeLoginDilog();
        }}
        onCancel={() => {
          usrStore.closeLoginDilog();
        }}
      >
        <p>cascsa</p>
      </Modal>
    </>
  );
};

export default inject("usrStore")(observer(App));
